#### PyKDE - Python Bindings for KDE

# class KABC.NameSortMode |
Table of contents
Modules
kabc Classes
All Classes

Module | kabc
Class | KABC.NameSortMode
Inherits | KABC.SortMode

### enums

- NameType = {FormattedName, FamilyName, GivenName }

### methods

- NameSortMode ()

  returns a NameSortMode instance
  In versions KDE 3.4.0 and above only

- NameSortMode (type, ascending = 1)

  returns a NameSortMode instance
  In versions KDE 3.4.0 and above only
  Argument | Type | Default
  --- | --- | ---
  type | KABC.NameSortMode.NameType |
  ascending | bool | 1

- lesser (a0, a1)

  returns (bool)
  In versions KDE 3.4.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | KABC.Addressee |
  a1 | KABC.Addressee |